Bug 1416774 - [abrt] PackageKit: data_skip(): packagekitd killed by SIGSEGV
Summary: [abrt] PackageKit: data_skip(): packagekitd killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:046243c9d80004a11ce94c26762...
: 1417141 1472390 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 11:24 UTC by sheepdestroyer
Modified: 2017-12-12 10:40 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:40:32 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (51.23 KB, text/plain)
2017-01-26 11:24 UTC, sheepdestroyer
no flags Details
File: cgroup (148 bytes, text/plain)
2017-01-26 11:24 UTC, sheepdestroyer
no flags Details
File: core_backtrace (3.83 KB, text/plain)
2017-01-26 11:24 UTC, sheepdestroyer
no flags Details
File: dso_list (8.26 KB, text/plain)
2017-01-26 11:24 UTC, sheepdestroyer
no flags Details
File: environ (144 bytes, text/plain)
2017-01-26 11:24 UTC, sheepdestroyer
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-26 11:24 UTC, sheepdestroyer
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-26 11:24 UTC, sheepdestroyer
no flags Details
File: maps (39.39 KB, text/plain)
2017-01-26 11:24 UTC, sheepdestroyer
no flags Details
File: mountinfo (3.89 KB, text/plain)
2017-01-26 11:24 UTC, sheepdestroyer
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-26 11:24 UTC, sheepdestroyer
no flags Details
File: open_fds (5.83 KB, text/plain)
2017-01-26 11:24 UTC, sheepdestroyer
no flags Details
File: proc_pid_status (1.09 KB, text/plain)
2017-01-26 11:24 UTC, sheepdestroyer
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-01-26 11:24 UTC, sheepdestroyer
no flags Details

Description sheepdestroyer 2017-01-26 11:24:25 UTC
Version-Release number of selected component:
PackageKit-1.1.5-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: data_skip
executable:     /usr/libexec/packagekitd
global_pid:     13589
kernel:         4.9.4-201.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 data_skip at /usr/src/debug/libsolv-0.6.24/src/repopack.h:229
 #1 data_skip_key at /usr/src/debug/libsolv-0.6.24/src/repodata.c:431
 #2 forward_to_key at /usr/src/debug/libsolv-0.6.24/src/repodata.c:468
 #3 dataiterator_find_keyname at /usr/src/debug/libsolv-0.6.24/src/repodata.c:1459
 #4 dataiterator_step at /usr/src/debug/libsolv-0.6.24/src/repodata.c:1599
 #5 filter_dataiterator at /usr/src/debug/PackageKit-1.1.5/libdnf-fe5a08bca7e2599798af7778917da2cc31f1460e/libdnf/hy-query.c:308
 #6 hy_query_apply at /usr/src/debug/PackageKit-1.1.5/libdnf-fe5a08bca7e2599798af7778917da2cc31f1460e/libdnf/hy-query.c:970
 #7 hy_query_run_set at /usr/src/debug/PackageKit-1.1.5/libdnf-fe5a08bca7e2599798af7778917da2cc31f1460e/libdnf/hy-query.c:1369
 #8 dnf_utils_run_query_with_newest_filter at pk-backend-dnf.c:757
 #9 dnf_utils_run_query_with_filters at pk-backend-dnf.c:826

Comment 1 sheepdestroyer 2017-01-26 11:24:31 UTC
Created attachment 1244740 [details]
File: backtrace

Comment 2 sheepdestroyer 2017-01-26 11:24:33 UTC
Created attachment 1244741 [details]
File: cgroup

Comment 3 sheepdestroyer 2017-01-26 11:24:34 UTC
Created attachment 1244742 [details]
File: core_backtrace

Comment 4 sheepdestroyer 2017-01-26 11:24:35 UTC
Created attachment 1244743 [details]
File: dso_list

Comment 5 sheepdestroyer 2017-01-26 11:24:36 UTC
Created attachment 1244744 [details]
File: environ

Comment 6 sheepdestroyer 2017-01-26 11:24:38 UTC
Created attachment 1244745 [details]
File: exploitable

Comment 7 sheepdestroyer 2017-01-26 11:24:39 UTC
Created attachment 1244746 [details]
File: limits

Comment 8 sheepdestroyer 2017-01-26 11:24:40 UTC
Created attachment 1244747 [details]
File: maps

Comment 9 sheepdestroyer 2017-01-26 11:24:42 UTC
Created attachment 1244748 [details]
File: mountinfo

Comment 10 sheepdestroyer 2017-01-26 11:24:43 UTC
Created attachment 1244749 [details]
File: namespaces

Comment 11 sheepdestroyer 2017-01-26 11:24:44 UTC
Created attachment 1244750 [details]
File: open_fds

Comment 12 sheepdestroyer 2017-01-26 11:24:45 UTC
Created attachment 1244751 [details]
File: proc_pid_status

Comment 13 sheepdestroyer 2017-01-26 11:24:47 UTC
Created attachment 1244752 [details]
File: var_log_messages

Comment 14 Modestas 2017-01-27 09:47:21 UTC
*** Bug 1417141 has been marked as a duplicate of this bug. ***

Comment 15 Andrey 2017-07-18 15:35:47 UTC
*** Bug 1472390 has been marked as a duplicate of this bug. ***

Comment 16 Fedora End Of Life 2017-11-16 15:08:02 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2017-12-12 10:40:32 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.